# Radio buttons

Home

## Radio buttons

- Basics
- Options
- Methods
- Events

Bind events directly to the `input` element. Use jQuery Mobile's virtual events, or bind standard JavaScript events, like change, focus, blur, etc.:

    $("input[type='radio']").bind( "change", function(event, ui) {
      ...
    });

The radio button plugin has the following custom events:

`create` triggered when a radio button is created

      $("input[type='radio']").checkboxradio({
         create: function(event, ui) { ... }
      });

### More in this section

- Form elements
- Form basics
- Form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms